#!/sbin/runscript
# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.

description="Executes user programs in /etc/local.d"

depend()
{
	after *
	keyword -timeout
}

start()
{
	einfo "Starting local"

	local file
	for file in /etc/local.d/*.start ; do
		[ -x "$file" ] && "$file"
	done

	if type local_start >/dev/null 2>&1; then
		ewarn "/etc/conf.d/local should be removed."
		ewarn "Please move the code from the local_start function"
		ewarn "to scripts with an .start extension"
		ewarn "in /etc/local.d"
		local_start
	fi

	eend 0
}

stop()
{
	einfo "Stopping local"

	local file
	for file in /etc/local.d/*.stop; do
		[ -x "$file" ] && "$file"
	done

	if type local_start >/dev/null 2>&1; then
		ewarn "/etc/conf.d/local should be removed."
		ewarn "Please move the code from the local_stop function"
		ewarn "to scripts with an .stop extension"
		ewarn "in /etc/local.d"
		local_stop
	fi

	eend 0
}
